//
//  SMAMoPubBaseAdapterConfiguration.m
//  SmaatoSDKAdapters
//
//  Created by Smaato Inc on 18/06/2019.
//  Copyright © 2019 Smaato. All rights reserved.
//

#import <SmaatoSDKCore/SmaatoSDK.h>
#import "SMAMoPubBaseAdapterConfiguration.h"

static NSString *const kSMAAdNetworkName = @"smaato";
static NSString *const kSMAMoPubAdapterMinorVersion = @"0";

@implementation SMAMoPubBaseAdapterConfiguration

- (NSString *)adapterVersion
{
    return [NSString stringWithFormat:@"%@.%@", [self networkSdkVersion], kSMAMoPubAdapterMinorVersion];
}

- (NSString *)biddingToken
{
    return nil;
}

- (NSString *)moPubNetworkName
{
    return kSMAAdNetworkName;
}

- (NSString *)networkSdkVersion
{
    return [SmaatoSDK sdkVersion];
}

+ (void)updateInitializationParameters:(NSDictionary *)parameters
{
    [super setCachedInitializationParameters:parameters];
}

- (void)initializeNetworkWithConfiguration:(NSDictionary<NSString *, id> *)configuration complete:(void (^)(NSError *_Nullable))complete
{
    if (complete != nil) {
        complete(nil);
    }
}

@end
